Group: Sound
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}

Summary:       Jack and ALSA Perceptual Audio Analyzer
Name:          japa
Version:       0.8.4
Release:       alt1_10
License:       GPLv2+
URL:           http://kokkinizita.linuxaudio.org/
Source0:       http://kokkinizita.linuxaudio.org/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# desktop file submitted upstream
Source1:       %{name}.desktop
Source2:       %{name}.png

BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: libfftw3-devel
BuildRequires: zita-alsa-pcmi-devel
BuildRequires: clthreads-devel
BuildRequires: clxclient-devel >= 3.9.0
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: libX11-devel
BuildRequires: libXft-devel
Source44: import.info

%description
%{name} (JACK and ALSA Perceptual Analyser), is a 'perceptual' or
'psychoacoustic' audio spectrum analyser.

In contrast to JAAA, this is more an acoustical or musical tool than a
purely technical one. Possible uses include spectrum monitoring while
mixing or mastering, evaluation of ambient noise, and (using pink
noise), equalisation of PA systems.

%prep
%setup -q
sed -i -e "s|-march=native|%{optflags}|" source/Makefile

%build
cd source
make LDFLAGS="$RPM_LD_FLAGS" %{?_smp_mflags}

%install
cd source
mkdir -p %{buildroot}%{_bindir}
install -m 0755 %{name} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications    \
  %{SOURCE1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 0644 %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/

%files
%doc AUTHORS README
%doc --no-dereference COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_10
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_9
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.8.4-alt1_8
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_11
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_10
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_8
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_7
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_6
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_5
- update to new release by fcimport

* Thu Jan 24 2013 Igor Vlasenko <viy@altlinux.ru> 0.6.0-alt1_4
- initial fc import

